GSMInterfaces HybridShapeRevol (Object)
All Frameworks Object Hierarchy This Framework Indexes
HybridShapeRevol (Object)
The Revol feature : an Revol is made up of a face to process and one Revol parameter.
Role : To access the data of the hybrid shape revol feature object.
LICENSING INFORMATION: Creation of volume result requires GSO License
if GSO License is not granted , settting of Volume context has not effect
Property Index
Axis
Role : To get_Axis on the object.
BeginAngle
Role : To get_BeginAngle on the object.
Context
Returns or sets the context on Revolve feature.
EndAngle
Role : To get_EndAngle on the object.
Orientation
Gets or sets orientation of the revolution.
Profil
Role : To get_Profil on the object.
Properties
Role : To get_Axis on the object.
Parameters:
oDir
return value for CATScript applications, with (IDLRETVAL) function type
See also:
Reference
Returns:
HRESULT S_OK if Ok
E_FAIL else
return error code for C++ Implementations
See also:
HybridShapeFactory
o Property BeginAngle ( ) As (Read Only)
Role : To get_BeginAngle on the object.
Parameters:
oAngle
return value for CATScript applications, with (IDLRETVAL) function type
See also:
Angle
Returns:
HRESULT S_OK if Ok
E_FAIL else
return error code for C++ Implementations
See also:
HybridShapeFactory
Returns or sets the context on Revolve feature.
Legal values :
0 This option creates surface of revolution.
1 This option creates volume of revolution.
Note: Setting volume result requires GSO License.
Example :
This example retrieves in oContext
the context
for the Revol
hybrid shape feature.
Dim oContext
Set oContext = Revol.Context
o Property EndAngle ( ) As (Read Only)
Role : To get_EndAngle on the object.
Parameters:
oAngle
return value for CATScript applications, with (IDLRETVAL) function type
See also:
Angle
Returns:
HRESULT S_OK if Ok
E_FAIL else
return error code for C++ Implementations
See also:
HybridShapeFactory
o Property Orientation ( iOrientation )
Gets or sets orientation of the revolution.
Orientation = TRUE : The natural orientation of the axis is taken.
= FALSE : The opposite orientation is taken
This example retrieves in IsInverted
orientation of the revolution
for the Revol
hybrid shape feature.
Dim IsInverted As boolean
IsInverted = Revol.Orientation
Role : To get_Profil on the object.
Parameters:
oProfil
return value for CATScript applications, with (IDLRETVAL) function type
See also:
Reference
Returns:
HRESULT S_OK if Ok
E_FAIL else
return error code for C++ Implementations
See also:
HybridShapeFactory
Copyright © 2003, Dassault Systèmes. All rights reserved.